package com.fjhx.config;

import com.fjhx.entity.Hyy;
import com.fjhx.entity.Log;
import com.fjhx.entity.Sd;
import com.fjhx.entity.Service;
import com.fjhx.entity.Tcp;
import com.fjhx.entity.Udp;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @ClassName: RFIDClientConfig
 * @Author: linqt
 * @Date: 2022/3/17 10:55
 * @Version: 1.0
 */
@Component
@ConfigurationProperties(prefix = "rfid")
public class RFIDConfig {

    /**
     * tcp对象
     */
    private static Tcp tcp;

    /**
     * udp对象
     */
    private static Udp udp;

    /**
     * hyy对象
     */
    private static Hyy hyy;

    /**
     * 业务服务对象
     */
    private static Service service;

    /**
     * 胜德集团对象
     */
    private static Sd sd;

    /**
     * log对象
     */
    private static Log log;

    /**
     * 读取RFID间隔时间（单位：ms），超过该时间则认为是新的RFID
     */
    private static Integer defaultTime;

    public static Tcp getTcp() {
        return tcp;
    }

    public void setTcp(Tcp tcp) {
        RFIDConfig.tcp = tcp;
    }

    public static Udp getUdp() {
        return udp;
    }

    public void setUdp(Udp udp) {
        RFIDConfig.udp = udp;
    }

    public static Hyy getHyy() {
        return hyy;
    }

    public void setHyy(Hyy hyy) {
        RFIDConfig.hyy = hyy;
    }

    public static Service getService() {
        return service;
    }

    public void setService(Service service) {
        RFIDConfig.service = service;
    }

    public static Sd getSd() {
        return sd;
    }

    public void setSd(Sd sd) {
        RFIDConfig.sd = sd;
    }

    public static Log getLog() {
        return log;
    }

    public void setLog(Log log) {
        RFIDConfig.log = log;
    }

    public static Integer getDefaultTime() {
        return defaultTime;
    }

    public void setDefaultTime(Integer defaultTime) {
        RFIDConfig.defaultTime = defaultTime;
    }
}
