package com.fjhx.rabbitmq.enums;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 消息来源枚举
 */
public enum MsgSourceEnum {

    MSG_SOURCE_1(1, "消息通知"),
    MSG_SOURCE_2(2, "RFID信息"),

    ;

    private int key;

    private String value;

    MsgSourceEnum(int key, String value) {
        this.key = key;
        this.value = value;
    }

    /**
     * 获取枚举map
     *
     * @return
     */
    public static Map<Integer, String> getMap() {
        LinkedHashMap<Integer, String> map = new LinkedHashMap<>();
        for (MsgSourceEnum ms : values()) {
            map.put(ms.key, ms.value);
        }
        return map;
    }

    /**
     * 通过key获取名称
     *
     * @param key
     * @return
     */
    public static String getNameByKey(Integer key) {
        if (key == null || key < 0) {
            return "";
        }
        for (MsgSourceEnum ms : values()) {
            if (ms.key == key) {
                return ms.value;
            }
        }
        return "";
    }

    public int getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

}
